package com.mortals.xhx.base.framework.ws.message;

import com.alibaba.fastjson.JSON;

/**
 * 心跳 Message
 */
public class HeartBeatRequest implements Message {

    public static final String TYPE = "HEART_BEAT_REQUEST";

    /**
     * 消息编号
     */
    private String msgId;
    /**
     * 内容
     */
    private String content;



    public String getMsgId() {
        return msgId;
    }

    public HeartBeatRequest setMsgId(String msgId) {
        this.msgId = msgId;
        return this;
    }

    public String getContent() {
        return content;
    }

    public HeartBeatRequest setContent(String content) {
        this.content = content;
        return this;
    }


    public static void main(String[] args) {
        HeartBeatRequest heartBeatRequest = new HeartBeatRequest();

        heartBeatRequest.setMsgId("123");



        System.out.println(JSON.toJSONString(heartBeatRequest));
    }
}
